Loading...
Searching...
No Matches
Opm::ImmiscibleFluidState< Scalar, FluidSystem, true > Class Template Reference
Inheritance diagram for Opm::ImmiscibleFluidState< Scalar, FluidSystem, true >:

## Additional Inherited Members

Public Types inherited from Opm::ModularFluidState< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > > >

enum |
enum |
typedef Scalar | Scalar
Public Types inherited from Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, ImmiscibleFluidState< Scalar, FluidSystem, true > >
enum |

Public Member Functions inherited from Opm::ModularFluidState< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > > >

void | checkDefined () const
| Make sure that all attributes are defined.
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
Public Member Functions inherited from Opm::FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const Scalar & | pressure (unsigned phaseIdx) const
| The pressure of a fluid phase [Pa].
void | setPressure (unsigned phaseIdx, const Scalar &value)
| Set the pressure of a phase [Pa].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const Scalar & | temperature (unsigned) const
| The temperature of a fluid phase [-].
void | setTemperature (const Scalar &value)
| Set the temperature of a phase [-].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, ImmiscibleFluidState< Scalar, FluidSystem, true > >
Scalar | moleFraction (unsigned phaseIdx, unsigned compIdx) const
| The mole fraction of a component in a phase [].
Scalar | massFraction (unsigned phaseIdx, unsigned compIdx) const
| The mass fraction of a component in a phase [].
Scalar | averageMolarMass (unsigned phaseIdx) const
| The mean molar mass of a fluid phase [kg/mol].
Scalar | molarity (unsigned phaseIdx, unsigned compIdx) const
| The concentration of a component in a phase [mol/m^3].
void | assign (const FluidState &)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const Scalar & | fugacityCoefficient (unsigned phaseIdx, unsigned compIdx) const
| The fugacity coefficient of a component in a phase [].
Scalar | fugacity (unsigned phaseIdx, unsigned compIdx) const
| The fugacity of a component in a phase [Pa].
void | setFugacityCoefficient (unsigned phaseIdx, unsigned compIdx, const Scalar &value)
| Set the fugacity of a component in a phase [].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const Scalar & | saturation (unsigned phaseIdx) const
| The saturation of a fluid phase [-].
void | setSaturation (unsigned phaseIdx, const Scalar &value)
| Set the saturation of a phase [-].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const Scalar & | density (unsigned phaseIdx) const
| The density of a fluid phase [kg/m^3].
Scalar | molarDensity (unsigned phaseIdx) const
| The molar density of a fluid phase [mol/m^3].
Scalar | molarVolume (unsigned phaseIdx) const
| The molar volume of a fluid phase [m^3/mol].
void | setDensity (unsigned phaseIdx, const Scalar &value)
| Set the density of a phase [kg/m^3].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const Scalar & | viscosity (unsigned phaseIdx) const
| The viscosity of a fluid phase [-].
void | setViscosity (unsigned phaseIdx, Scalar value)
| Set the dynamic viscosity of a phase [Pa s].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const Scalar & | enthalpy (unsigned phaseIdx) const
| The specific enthalpy of a fluid phase [J/kg].
Scalar | internalEnergy (unsigned phaseIdx) const
| The specific internal energy of a fluid phase [J/kg].
void | setEnthalpy (unsigned phaseIdx, const Scalar &value)
| Set the specific enthalpy of a phase [J/kg].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Protected Member Functions inherited from Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const ImmiscibleFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Member Functions inherited from Opm::FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const ImmiscibleFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Member Functions inherited from Opm::FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const ImmiscibleFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Member Functions inherited from Opm::FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
const ImmiscibleFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Attributes inherited from Opm::FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
Scalar | pressure_ [numPhases]
Protected Attributes inherited from Opm::FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
Scalar | temperature_
Protected Attributes inherited from Opm::FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, ImmiscibleFluidState< Scalar, FluidSystem, true > >
Scalar | fugacityCoefficient_ [numPhases][numComponents]
Protected Attributes inherited from Opm::FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
Scalar | saturation_ [numPhases]
Protected Attributes inherited from Opm::FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
Scalar | density_ [numPhases]
Protected Attributes inherited from Opm::FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
Scalar | viscosity_ [numPhases]
Protected Attributes inherited from Opm::FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, ImmiscibleFluidState< Scalar, FluidSystem, true > >
std::array< Scalar, numPhases > | enthalpy_

The documentation for this class was generated from the following file:

- opm/material/fluidstates/ImmiscibleFluidState.hpp